import { OrderItem } from "./OrderItem/OrderItem"
import { TProduct } from "../../Interfaces/product"
import "./Order.scss"

type TProps = {
    products: TProduct[] | null,
    onClick: VoidFunction
}

export const Order = ({products, onClick}: TProps) => {
    return (
        <div className={"Order"}>
            <div className={"Order_list"}>
                {
                    products?.map(item => (
                        <OrderItem 
                            key={item.id} 
                            name={item.name} 
                            price={item.price}
                        />
                    ))
                }
            </div>
            <hr />
            <button className={"Order_btn"} onClick={onClick}>
                Place order
            </button>
        </div>
    )
}