import "./Product.scss"
import type { TProduct } from "../../Interfaces/product"
import { ProductItem } from "./ProductItem/ProductItem"

type TProps = {
    products: TProduct[] | null,
    onClick: (id: string) => void
}

export const Product = ({products, onClick}: TProps) => {
    return (
        <div className={"Product"}>
            {
                products?.map(item => (
                    <ProductItem 
                        url={item.url} 
                        name={item.name} 
                        price={item.price} 
                        onClick={() => onClick(item.id)}                        
                    />
                ))
            }
        </div>
    )
}