import "./ProductItem.scss"

type TProps = {
    url: string,
    name: string,
    price: number,
    onClick: VoidFunction
}

export const ProductItem = ({url, name, price, onClick}: TProps) => {
    return (
        <div className={"ProductItem"}>
            <div className={"ProductItem_img"}>
                <img src={url} alt={"product"} />
            </div>
            <div className={"ProductItem_info"}>
                <h2>{name}</h2>
                <p>{price} KZT</p>
            </div>
            <button className={"ProductItem_btn"} onClick={onClick}>
                Add to cart
            </button>
        </div>
    )
} 